<?php
session_start();
require_once(__DIR__ . "/../inc/config.inc.php");
require_once(__DIR__ . "/../inc/functions.inc.php");

ini_set('display_errors', 1);
error_reporting(E_ALL);
include("templates/header.inc.php");

?>
		
	</header>

<!-- Main -->

    <div class="jumbotron">
      <div class="container">
	<?php
	if( check_worker() || is_checked_in_index() ){
		
	
		$user = check_intern_user();	
		?>
		<h1>Neue Anfrage</h1>

		<p>Hallo <?php echo htmlentities($user['vorname']); ?>,<br></p>

		 
		<?php
		if(!check_mailreg()){
			
			echo "<br><br>";
			echo "Es fehlt die Authentifizierung Ihres Kontos per E-Mail! Bitte authentifizieren Sie Ihre E-Mail-Adresse.<br>";
			echo "<form action='authmeldung.php' method=POST>";
			echo "<input name=aktion type=hidden value=1>";
			echo "<input type=submit class='btn btn-primary' value='E-Mail Authentifizierung'><br>";
			echo '</form>';
		
		
		}
		if(!check_userdatenvorhanden()){
						echo "<br><br>";
			echo "Es fehlen noch Informationen in Ihrem Stammdaten. Bitte pflegen Sie die Daten nach, damit <br>";
			echo "<form action='settings.php' method=POST>";
			echo "<input name=aktion type=hidden value=1>";

			echo "<input type=submit class='btn btn-primary' value='Stammdaten pflegen'><br>";
			echo '</form>';
		

		
		}	
	
		
		if(check_mailreg() && check_userdatenvorhanden() ){
		?>
			<p>Hier können Sie eine neue Anfrage erstellen.</p>

		<?php
		
		
			if($_POST["aktion"] == "1"){

		  
				echo '<h4>Kontrollieren Sie Ihre Angaben!</h4><br>';
				echo '<form action="'. $_SERVER['PHP_SELF'] .'" method=POST>';
				echo '<table border="0">';
				// Schleife durch Clemens 15.10.2018
				foreach ($_POST as $key => $value) {
					if(!($value == "" || $key == "submit" || $key == "aktion" )){
						if($key == "category"){
							$sqlimpfstoffstring =  "SELECT * FROM anfrageart WHERE artid ='" . $value . "'";
							$queryimpfstoff = mysqli_query($con,$sqlimpfstoffstring);
							$rowimpf = mysqli_fetch_assoc($queryimpfstoff);
							$anfragearttext = $rowimpf["artname"];	
							
							
							echo "<tr><td width=100 valign=top class=fett>$key:</td><td>$anfragearttext</td></tr>\n";
							echo"<input type=hidden name='".$key."' value='".$value. "'>\n";
						}else{
							echo "<tr><td width=100 valign=top class=fett>$key:</td><td>$value</td></tr>\n";
							echo"<input type=hidden name='".$key."' value='".$value. "'>\n";
						}
					}
				 
				}


				echo '</table><br>';
				echo '<input type="hidden" name="aktion" value="2" />';
				echo '<input type="submit" class="form-control" value="Anfrage abschicken" />';
				echo '</form >';


			}else if($_POST["aktion"] == "2"){

				$vorname = $user["vorname"];
				$nachname = $user["nachname"];
				$Email  = $user["email"];
				$userid = $_POST["anfragender"];

				$medikament1 = mysqli_real_escape_string($con, $_POST["Medikament1"]);
				$medikament2 = mysqli_real_escape_string($con, $_POST["Medikament2"]);
				$medikament3 = mysqli_real_escape_string($con, $_POST["Medikament3"]);
				$medikament4 = mysqli_real_escape_string($con, $_POST["Medikament4"]);
				$medikament5 = mysqli_real_escape_string($con, $_POST["Medikament5"]);
				$medikament6 = mysqli_real_escape_string($con, $_POST["Medikament6"]);
				$nachricht = mysqli_real_escape_string($con, $_POST["message"]);
				$anforderungart = mysqli_real_escape_string($con, $_POST["category"]);
				$abholung = $_POST["abholung"];
				
				
				if($abholung == "Praxis"){
					$abholungnr="1";
				}elseif($abholung == "Apotheke"){
					$abholungnr="2";
				}
				$karte = $_POST["karte"];
				if($karte == "Privat"){
					$karte = "Privatrezept (Selbstzahler)";
				}
				
				
				$nachricht = "Karte eingelesen: " . $karte . "<br>"."Abholungsort: " . $abholung . "<br>". $nachricht ;
				
				// Impfstoff
				//$impfstoff = $rowtime["impfstoff"];
				$sqlimpfstoffstring =  "SELECT * FROM impfstoff WHERE impfid ='" . $impfstoff . "'";
				$queryimpfstoff = mysqli_query($con,$sqlimpfstoffstring);
				$rowimpf = mysqli_fetch_assoc($queryimpfstoff);
				$impfstofftext = $rowimpf["impfname"];	
				
				$sendmail = false;

				// Check connection
				if ($con -> connect_errno) {
				  echo "Failed to connect to MySQL: " . $con -> connect_error;
				  exit();
				}else{

					if(!$userid){
						echo "<h3>Keine eindeutige Kennung</h3><br>Leider konnte unser System Ihnen keine eindeutige Benutzerkennung anlegen. Bitte wenden Sie sich an info@praxis-creutzburg.de.<br>Unser Team versucht dann schnellstmöglich das Problem zu lösen.<br>";
					}else{
						
						$hashvorher = $vorname . $nachname . $Email;
						$hash = md5($hashvorher) . date("YmdHs");			
						$query = mysqli_query($con, "SELECT * FROM anfragen WHERE  personid='".$userid."' AND  anforderungart='".$anforderungart."' AND nachricht='".$nachricht."' AND create_time >= '" . date('Y-m-d', strtotime('-7 days')) ."'");
						if($query->num_rows == 0){	
							$sendmail = true;
							//echo  "INSERT INTO warteliste (userid, hash, impfenangebot, impfstoff, Patientenart,Impfaufklaerung, WeitereFragen, date_created, impfenmit) VALUES ('".$userid."', '".$hash."', '".$impfenangebot."', '".$impfstoff."', '".$Patientenart."', '".$Impfaufklaerung."', '".$WeitereFragen."', now()), '".$impfenmit."'";
							$query = mysqli_query($con, "INSERT INTO anfragen (personid, anforderungart, medikament1, medikament2,medikament3, medikament4,medikament5, medikament6, nachricht, hash, create_time, ordnungsid, abholort, sicherenachricht, checked) VALUES ( '".$userid."', '".$anforderungart."', '".$medikament1."', '".$medikament2."','".$medikament3."', '".$medikament4."','".$medikament5."', '".$medikament6."', '".$nachricht."', '".$hash."', now(), '1', '".$abholungnr ."', '1', '1')");
							
							if($query){
								//echo "$hash";	
								$anfrageid = mysqli_insert_id($con);
								
								SendMailMessageVorlage($con, "3", $anfrageid , "26" );

								

								echo "<h3>Nachricht abgeschickt!</h3><br>Sie bekommen eine Bestätigung per E-Mail!<br>Überprüfen Sie auch Ihren Spam-Filter!<br><br>	";


							}else{
								echo "<h3>Speicherung nicht erfolgreich</h3><br>Ihre Anfrage konnte nicht gespeichert werden.<br>Nutzen Sie das Formular erneut.<br><br>";
								
							}
						}else{
							echo "<h3>Doppelte Anfrage</h3><br>Ihre Anfrage wurde schon in unserem System gespeichert.<br>Sie haben die identische Anfrage schon in den letzten sieben Tagen eingereicht.<br>Bitte warten Sie auf die Verarbeitung Ihrer Anfrage.<br><br>";
							
						}	
					}	
						
					
					
					
				}


			}else if($_POST["aktion"] == "4"){
						
				// Urlaubsabfrage
				$query = mysqli_query($con, "SELECT urlaubid FROM urlaub WHERE  start<='" . date("Y-m-d") ."' AND ende>='" . date("Y-m-d") ."'");

				if (!$query)
				{
					die('Error: ' . mysqli_error($con));
				}

				if($query->num_rows != 0){							
				
				
					echo "<h2>Praxis im Urlaub</h2>";
					echo "Wir befinden uns aktuell im Urlaub.<br>Wenden Sie sich an unsere Vertretung oder warten Sie bis nach unserem Urlaub mit Ihrer Anfrage.<br><br>";
					$query = mysqli_query($con, "SELECT ende,vertretung,vertretertelefon,vertreteradresse,vertreterurl FROM urlaub WHERE  start<='" . date("Y-m-d") ."' AND ende>='" . date("Y-m-d") ."' ORDER BY ende DESC");
					$row = mysqli_fetch_assoc($query);
					$vertreter = $row["vertretung"];
					$vertretertelefon = $row["vertretertelefon"];
					$vertreteradresse = $row["vertreteradresse"];
					$vertreterurl = $row["vertreterurl"];
					$ende = $row["ende"];
					$endeausgabe= date("d.m.Y", strtotime("+1 day",  strtotime($ende )));
					if($vertreter){
						echo "Unsere Vertretung: $vertreter <br>";
					}
					if($vertreterurl){
						echo "Webseite Vertretung: $vertreterurl <br>";
					}
					if($vertretertelefon){
						echo "Telefonischer Kontakt Vertretung: $vertretertelefon <br>";
					}
					if($vertreteradresse){
						echo "Adresse Vertretung: $vertreteradresse <br>";
					}
					echo "<br>Wir stehen Ihnen ab dem ". $endeausgabe . " wieder zur Verfügung.<br><br><br>";
					?>
					<form action="index.php" method=POST>
					<input type=submit class=button value="Zurück">
					</form>
				
				
				<?php
				}else{
					
				
					if($_POST["anfrageart"] == 1){
					?>	
						
						<p>Gehen Sie nach unten zum Formular und füllen Sie es aus. Sollte es nötig sein, können Sie Daten auch anpassen.</p>
							
							
						<?php echo '<form action="'. $_SERVER['PHP_SELF'] .'" method=POST>';
						echo '<input type="hidden" name="aktion" id="aktion" value="1" />';
						?>
							<div class="container">
							
								
							<?php 
								echo "<h4>Benutzer</h4>";
								echo "Name: " . $user["vorname"] . " " . $user["nachname"] . " <br>";
								echo "Geburtstag: " . $user["geburtstag"] . " <br>";
								echo "Adresse: " . $user["strasse"] . ", " . $user["plz"] . ", " . $user["ort"] . "<br>";
								echo '<input type="hidden" name="anfragender" value="' . $_POST["anfragender"] . '" />'; 
							?>
							
							
								<br>
								<br>
								<div class="col-sm-10">
									<br>
									<br>
									<label for="category">Ich benötige ein Rezept für:</label>
									<select class="form-control" name="category" id="category" required  >
										<option value=""> Bitte wählen Sie aus</option>
										<?php
										$sqlimpfstoffstring =  "SELECT * FROM anfrageart WHERE rezept ='1'";
										$queryimpfstoff = mysqli_query($con,$sqlimpfstoffstring);
										
										while ($rowimpf = $queryimpfstoff->fetch_assoc()) {
											$artname = $rowimpf["artname"];	
											$artid = $rowimpf["artid"];	
											?>
											<option value="<?php echo $artid; ?>"> <?php
											$artname_utf8 = mb_convert_encoding($artname ?? '', 'UTF-8', 'Windows-1252');
											echo htmlspecialchars($artname_utf8, ENT_QUOTES | ENT_SUBSTITUTE, 'UTF-8'); ?></option>
										<?php
										}
										?>
											
											
										</select>
										
							<div class="col-sm-10">
							<br>
																<?php
								$curdate = date('d.m.Y', time());
								$curyear = date('Y', time());
								$curMonth = date("m", time());
								$curQuarter = ceil($curMonth/3);
								$current_quarter = ceil(date('n') / 3);
								$first_date = date('d.m.Y', strtotime(date('Y') . '-' . (($current_quarter * 3) - 2) . '-1'));
								$last_date = date('t.m.Y', strtotime(date('Y') . '-' . (($current_quarter * 3)) . '-1'));
								
								?>
								<label for="category">Ich habe dieses Quartal schon meine Gesundheitskarte in der Praxis einlesen lassen:</label>
								<br>
								Aktuell befinden wir uns im <?php echo $curQuarter;?>. Quartal von <?php echo $curyear;?>. <br>
								Dieses geht vom <b><?php echo $first_date;?> bis <?php echo $last_date;?></b> <br>
								Heute ist der <?php echo $curdate ;?>.<br>Diese Angaben werden bei der Bearbeitung von unserem Praxisteam überprüft.<br>
								War die Chipkarte dieses Quartal noch nicht eingelesen, ist die Abholung nur in der Praxis möglich.
								<div class="select-wrapper">
									<select class="form-control" name="karte" id="karte" required  onchange="checkkarte()">
										<option value=""> Bitte wählen Sie aus</option>
										<option value="Ja">Ja</option>
										<option value="Nein">Nein</option>
										<option value="Privat">Privatrezept (Selbstzahler)</option>
									</select>
								</div>	
							</div>
								<div class="col-sm-10">
									<br>
									<label for="abholung">Ich möchte das Rezept hier abholen:</label>
									<div class="select-wrapper">
										<select class="form-control" name="abholung" id="abholung" required onchange="checkkarte()" >
											<option value=""> Bitte wählen Sie aus</option>
											<option value="Praxis">Praxis Creutzburg</option>
											<option value="Apotheke">Apotheke</option>
										</select>
									</div>
								</div>
							
							
							
								<div class="col-sm-10">
									<br>
									<input class="form-control" type="text"name="Medikament1" size=2 placeholder="Medikament, Wirkstoff, Packungsgröße" maxlength="150" />
								</div>
								<div class="col-sm-10">
									<br>
									<input class="form-control" type="text"name="Medikament2" size=2 placeholder="Medikament, Wirkstoff, Packungsgröße" maxlength="150" />
								</div>
								<div class="col-sm-10">
									<br>
									<input class="form-control" type="text"name="Medikament3" size=2 placeholder="Medikament, Wirkstoff, Packungsgröße" maxlength="150" />
								</div>
								<div class="col-sm-10">
									<br>
									<input class="form-control" type="text"name="Medikament4" size=2 placeholder="Medikament, Wirkstoff, Packungsgröße" maxlength="150" />
								</div>
								<div class="col-sm-10">
									<br>
									<input class="form-control" type="text"name="Medikament5" size=2 placeholder="Medikament, Wirkstoff, Packungsgröße" maxlength="150" />
								</div>
								<div class="col-sm-10">
									<br>
									<input class="form-control" type="text"name="Medikament6" size=2 placeholder="Medikament, Wirkstoff, Packungsgröße" maxlength="150" />
								</div>							
									
								<div class="col-sm-10">
									<br>
									<textarea class="form-control" name="message" id="message" placeholder="Ihre Nachricht/Bemerkung" rows="6"  maxlength="500"></textarea>
								</div>
								<div class="col-sm-10">	
									
									<br>
								Bedenken Sie bitte, dass wir einmal im Quartal Ihre Chipkarte benötigen. Ohne Chipkarte sind seit 1.1.2016 keine Kassendienstleistungen mehr möglich. Kassenleistungen sind an die gesetzlichen Regelungen gebunden. Fragen Sie Ihre Krankenkasse.<br>	
								


								</div>

								<div class="col-sm-10">
									<br>
									<br>
									<input class="form-control" type="submit" value="Abschicken" />
									<br><br><br><br><br>


								</div>
									
								
					
									
									
									
							</div>
							</form>
	<script>
		function checkkarte(){
						
			if(document.getElementById('karte').value == "Nein" ) {
				document.getElementById('abholung').value = "Praxis"
			}
			
		}
	</script>						
						
						
						
					<?php
					}elseif($_POST["anfrageart"] == 2){
					
	?>									
						
						<div class="container">
							
					
						

									
									<p>Gehen Sie nach unten zum Formular und füllen Sie es aus. Sollte es nötig sein, können Sie Daten auch anpassen.</p>
									
									
								<?php echo '<form action="'. $_SERVER['PHP_SELF'] .'" method=POST>';
								echo '<input type="hidden" name="aktion" id="aktion" value="5" />';
								?>
										
										
							<?php 
								echo "<h4>Benutzer</h4>";
								echo "Name: " . $user["vorname"] . " " . $user["nachname"] . "<br>";
								echo "Geburtstag: " . $user["geburtstag"] . " <br>";
								echo "Adresse: " . $user["strasse"] . ", " . $user["plz"] . ", " . $user["ort"] . "<br>";
								echo '<input type="hidden" name="anfragender" value="' . $_POST["anfragender"] . '" />'; 
							?>
							
							
										
									<br>
									<br>
									<div class="col-sm-10">
										<br>
										<div class="select-wrapper">
											<label for="category">Ich habe eine Anfrage für folgendes Thema:</label>
											<select class="form-control" name="category" id="category" required  >
											<option value=""> Bitte wählen Sie aus</option>
											<?php
											$sqlimpfstoffstring =  "SELECT * FROM anfrageart WHERE allgemeinanforderung ='1'";
											$queryimpfstoff = mysqli_query($con,$sqlimpfstoffstring);
											
											while ($rowimpf = $queryimpfstoff->fetch_assoc()) {
												$artname = $rowimpf["artname"];	
												$artid = $rowimpf["artid"];	
												?>
												<option value="<?php echo $artid; ?>"> <?php echo $artname; ?></option>
											<?php
											}
											?>
												
												
											</select>
											
											<div id="AstraInfobox"></div>
										
										</div>

									</div>
										
										
									<div class="col-sm-10">
									<br>
										<label for="message">Ihre Nachricht:</label>							
										<textarea class="form-control" name="message" id="message" placeholder="Ihre Nachricht/Bemerkung" rows="6"  maxlength="500"></textarea>
										
									</div>
									<div class="col-sm-10">	
										
										<br>
									Bedenken Sie bitte, dass wir einmal im Quartal Ihre Chipkarte benötigen. Ohne Chipkarte sind seit 1.1.2016 keine Kassendienstleistungen mehr möglich. Kassenleistungen sind an die gesetzlichen Regelungen gebunden. Fragen Sie Ihre Krankenkasse.<br>	
									


									</div>

									<div class="col-sm-10">
										<br>
										<br>
										<input class="form-control" type="submit" value="Abschicken" />
										<br><br><br><br><br>


									</div>
								</form>
						</div>
	<?php


					
						
						
						
					}elseif($_POST["anfrageart"] == 3){
					
	?>									
						
						<div class="container">
							
					
						

									
									<p>Gehen Sie nach unten zum Formular und füllen Sie es aus. Sollte es nötig sein, können Sie Daten auch anpassen.</p>
									
									
								<?php echo '<form action="'. $_SERVER['PHP_SELF'] .'" method=POST>';
								echo '<input type="hidden" name="aktion" id="aktion" value="7" />';
								?>
										
								<?php 
									echo "<h4>Benutzer</h4>";
									echo "Name: " . $user["vorname"] . " " . $user["nachname"] . "<br>";
									echo "Geburtstag: " . $user["geburtstag"] . " <br>";
									echo "Adresse: " . $user["strasse"] . ", " . $user["plz"] . ", " . $user["ort"] . "<br>";
									echo '<input type="hidden" name="anfragender" value="' . $_POST["anfragender"] . '" />'; 
								?>

										
									<br>
									<br>
									<div class="col-sm-10">
										<br>
										<label for="category">Ich sagen meinen Termin aus dem folgenden Grund ab:</label>
										<div class="select-wrapper">
											<select class="form-control" name="category" id="category" required  >
											<option value=""> Bitte wählen Sie aus</option>
											<?php
											$sqlimpfstoffstring =  "SELECT * FROM anfrageart WHERE terminabsagen ='1'";
											$queryimpfstoff = mysqli_query($con,$sqlimpfstoffstring);
											
											while ($rowimpf = $queryimpfstoff->fetch_assoc()) {
												$artname = $rowimpf["artname"];	
												$artid = $rowimpf["artid"];	
												?>
												<option value="<?php echo $artid; ?>"> <?php echo $artname; ?></option>
											<?php
											}
											?>
												
												
											</select>
											
											<div id="AstraInfobox"></div>
										</div>

									</div>
										
										
									<div class="col-sm-10">
									<br>
										<label for="message">Teilen Sie uns mit welchen Termin Sie absagen wollen:</label>
										<textarea name="message" class="form-control" id="message" placeholder="Ihre Nachricht/Bemerkung" rows="6"  maxlength="500"></textarea>
										
									</div>
									<div class="col-sm-10">	
										
										<br>
									Bedenken Sie bitte, dass wir einmal im Quartal Ihre Chipkarte benötigen. Ohne Chipkarte sind seit 1.1.2016 keine Kassendienstleistungen mehr möglich. Kassenleistungen sind an die gesetzlichen Regelungen gebunden. Fragen Sie Ihre Krankenkasse.<br>	
									


									</div>

									<div class="col-sm-10">
										<br>
										<br>
										<input class="form-control" type="submit" value="Abschicken" />
										<br><br><br><br><br>


									</div>
								</form>
						</div>
	<?php


					
						
						
						
					}
				}



			}elseif($_POST["aktion"] == "5"){

  
				echo '<h4>Kontrollieren Sie Ihre Angaben!</h4><br>';
				echo '<form action="'. $_SERVER['PHP_SELF'] .'" method=POST>';
				echo '<table border="0">';
				// Schleife durch Clemens 15.10.2018
				foreach ($_POST as $key => $value) {
					if(!($value == "" || $key == "submit" || $key == "aktion" )){
						if($key == "category"){
							$sqlimpfstoffstring =  "SELECT * FROM anfrageart WHERE artid ='" . $value . "'";
							$queryimpfstoff = mysqli_query($con,$sqlimpfstoffstring);
							$rowimpf = mysqli_fetch_assoc($queryimpfstoff);
							$anfragearttext = $rowimpf["artname"];	
							
							
							echo "<tr><td width=100 valign=top class=fett>$key:</td><td>$anfragearttext</td></tr>\n";
							echo"<input type=hidden name='".$key."' value='".$value. "'>\n";
						}else{
							echo "<tr><td width=100 valign=top class=fett>$key:</td><td>$value</td></tr>\n";
							echo"<input type=hidden name='".$key."' value='".$value. "'>\n";
						}
					}
				 
				}


				echo '</table><br>';
				echo '<input type="hidden" name="aktion" value="6" />';
				echo '<input type="submit" class="form-control" value="Anfrage abschicken" />';
				echo '</form >';


			}else if($_POST["aktion"] == "6"){

				$userid = $_POST["anfragender"];
				$vorname = $user["vorname"];
				$nachname = $user["nachname"];
				$Email  = $user["email"];
				
				$medikament1 = mysqli_real_escape_string($con, $_POST["Medikament1"]);
				$medikament2 = mysqli_real_escape_string($con, $_POST["Medikament2"]);
				$nachricht = mysqli_real_escape_string($con, $_POST["message"]);
				$anforderungart = mysqli_real_escape_string($con, $_POST["category"]);
				
				// Impfstoff
				//$impfstoff = $rowtime["impfstoff"];
				$sqlimpfstoffstring =  "SELECT * FROM impfstoff WHERE impfid ='" . $impfstoff . "'";
				$queryimpfstoff = mysqli_query($con,$sqlimpfstoffstring);
				$rowimpf = mysqli_fetch_assoc($queryimpfstoff);
				$impfstofftext = $rowimpf["impfname"];	
				
				$sendmail = false;

				// Check connection
				if ($con -> connect_errno) {
				  echo "Failed to connect to MySQL: " . $con -> connect_error;
				  exit();
				}else{
					
					
					$hashvorher = $vorname . $nachname . $Email;
					$hash = md5($hashvorher) . date("YmdHs");		
					

					$sendmail = true;
					//echo  "INSERT INTO warteliste (userid, hash, impfenangebot, impfstoff, Patientenart,Impfaufklaerung, WeitereFragen, date_created, impfenmit) VALUES ('".$userid."', '".$hash."', '".$impfenangebot."', '".$impfstoff."', '".$Patientenart."', '".$Impfaufklaerung."', '".$WeitereFragen."', now()), '".$impfenmit."'";
					$query = mysqli_query($con, "INSERT INTO anfragen (personid, anforderungart, nachricht, create_time, hash, ordnungsid, sicherenachricht, checked) VALUES ( '".$userid."', '".$anforderungart."','".$nachricht."', now(), '".$hash."', '2', '1', '1')");
					
					if($query){
						//echo "$hash";	
						$anfrageid = mysqli_insert_id($con);
						SendMailMessageVorlage($con, "3", $anfrageid , "19" );

						

						echo "<h3>Nachricht abgeschickt!</h3><br>Sie bekommen eine Bestätigung per E-Mail!<br>Überprüfen Sie auch Ihren Spam-Filter!<br><br>	";


					}else{
						echo "<h3>Speicherung nicht erfolgreich</h3><br>Ihre Anfrage konnte nicht gespeichert werden.<br>Nutzen Sie das Formular erneut.<br><br>";
						
					}
						
						
						
					
					
					
				}


			}elseif($_POST["aktion"] == "7"){

  
				echo '<h4>Kontrollieren Sie Ihre Angaben!</h4><br>';
				echo '<form action="'. $_SERVER['PHP_SELF'] .'" method=POST>';
				echo '<table border="0">';
				// Schleife durch Clemens 15.10.2018
				foreach ($_POST as $key => $value) {
					if(!($value == "" || $key == "submit" || $key == "aktion" )){
						if($key == "category"){
							$sqlimpfstoffstring =  "SELECT * FROM anfrageart WHERE artid ='" . $value . "'";
							$queryimpfstoff = mysqli_query($con,$sqlimpfstoffstring);
							$rowimpf = mysqli_fetch_assoc($queryimpfstoff);
							$anfragearttext = $rowimpf["artname"];	
							
							
							echo "<tr><td width=100 valign=top class=fett>$key:</td><td>$anfragearttext</td></tr>\n";
							echo"<input type=hidden name='".$key."' value='".$value. "'>\n";
						}else{
							echo "<tr><td width=100 valign=top class=fett>$key:</td><td>$value</td></tr>\n";
							echo"<input type=hidden name='".$key."' value='".$value. "'>\n";
						}
					}
				 
				}


				echo '</table><br>';
				echo '<input type="hidden" name="aktion" value="8" />';
				echo '<input type="submit" class="form-control" value="Anfrage abschicken" />';
				echo '</form >';


			}else if($_POST["aktion"] == "8"){

				$userid = $_POST["anfragender"];
				$vorname = $user["vorname"];
				$nachname = $user["nachname"];
				$Email  = $user["email"];
				
				$medikament1 = mysqli_real_escape_string($con, $_POST["Medikament1"]);
				$medikament2 = mysqli_real_escape_string($con, $_POST["Medikament2"]);
				$nachricht = mysqli_real_escape_string($con, $_POST["message"]);
				$anforderungart = mysqli_real_escape_string($con, $_POST["category"]);
				
				// Impfstoff
				//$impfstoff = $rowtime["impfstoff"];
				$sqlimpfstoffstring =  "SELECT * FROM impfstoff WHERE impfid ='" . $impfstoff . "'";
				$queryimpfstoff = mysqli_query($con,$sqlimpfstoffstring);
				$rowimpf = mysqli_fetch_assoc($queryimpfstoff);
				$impfstofftext = $rowimpf["impfname"];	
				
				$sendmail = false;

				// Check connection
				if ($con -> connect_errno) {
				  echo "Failed to connect to MySQL: " . $con -> connect_error;
				  exit();
				}else{
					
					
					$hashvorher = $vorname . $nachname . $Email;
					$hash = md5($hashvorher) . date("YmdHs");		
					

					$sendmail = true;
					//echo  "INSERT INTO warteliste (userid, hash, impfenangebot, impfstoff, Patientenart,Impfaufklaerung, WeitereFragen, date_created, impfenmit) VALUES ('".$userid."', '".$hash."', '".$impfenangebot."', '".$impfstoff."', '".$Patientenart."', '".$Impfaufklaerung."', '".$WeitereFragen."', now()), '".$impfenmit."'";
					$query = mysqli_query($con, "INSERT INTO anfragen (personid, anforderungart, nachricht, create_time, hash, ordnungsid, sicherenachricht, checked) VALUES ( '".$userid."', '".$anforderungart."','".$nachricht."', now(), '".$hash."', '2', '1', '1')");
					
					if($query){
						//echo "$hash";	
						$anfrageid = mysqli_insert_id($con);
						SendMailMessageVorlage($con, "3", $anfrageid , "19" );

						

						echo "<h3>Nachricht abgeschickt!</h3><br>Sie bekommen eine Bestätigung per E-Mail!<br>Überprüfen Sie auch Ihren Spam-Filter!<br><br>	";


					}else{
						echo "<h3>Speicherung nicht erfolgreich</h3><br>Ihre Anfrage konnte nicht gespeichert werden.<br>Nutzen Sie das Formular erneut.<br><br>";
						
					}
						
						
						
					
					
					
				}


			}else{
								
				echo "<p>Wählen Sie die Anfragenart aus:<br><br></p>";
				echo "<form action='". $_SERVER['PHP_SELF'] . "' method=POST>";
				echo '<input type="hidden" name="aktion" id="aktion" value="4" />';
							
				echo "<h4>Benutzer</h4>";
				echo "Name: " . $user["vorname"] . " " . $user["nachname"] . "<br>";
				echo "Geburtstag: " . $user["geburtstag"] . " <br>";
				echo "Adresse: " . $user["strasse"] . ", " . $user["plz"] . ", " . $user["ort"] . "<br>";
				
				$userid = ensureUserFromInternUsersByEmail($pdo, $user["email"]);
				
				
				echo '<input type="hidden" name="anfragender" value="' . $userid . '" />'; 
							
				
				
				echo "<br><br>";				
				
				echo '<label for="anfrageart">Art der Anfrage:</label>';
				echo '	<select  class="form-control" name="anfrageart" id="anfrageart"   required />
							<option value="1">Rezeptanfrage</option>
							<option value="2">Allgemeine Anfrage</option>
							<option value="3">Terminabsage</option>
						</select>';
				echo "<br><br>";
				echo "<input type=submit class='btn btn-primary' value='Anfrage stellen'><br>";
				echo '</form>';				
					
			}
		
		}	
		
			echo "<br><br><br><br><br>
			
			<form action='index.php' method=POST>
				<input type=submit class='btn btn-primary' value='Zum Hauptmenü'>
				</form>						
			
			";		
		}else{
		
		echo InfoAusgeloggtePerson();
		
		?>




 
							

<?php
		}
?>		

     </div>
    </div>
<?php

include("templates/footer.inc.php")
?>